<?php
class Core_Validate_Notinarray extends Core_Validate_Abstract
{
    // default error message
    protected $_defaultErrorMessage = 'Vrijednost je u predefiniranim vrijednostima';

    protected $_array = Array();

    protected function _isValid($value)
    {
        return (bool) (!in_array($value, $this->getArray()));
    }

    public function setArray($array)
    {
        $this->_array = (array) $array;
    }

    public function getArray()
    {
        return (array) $this->_array;
    }
}